## pyzim-0.2.0.zip

=== vendor/Makefile ===
BUILD ?= $(PWD)/tmp
ROOT = $(PWD)

export LDFLAGS = -L$(BUILD)/prefix/lib
export CPPFLAGS = -I$(BUILD)/prefix/include


all:: build-cxxtools build-xz build-tntdb build-zimlib build-zimwriter

# --- cxxtools
configure-cxxtools:: $(BUILD)/cxxtools-configure-done

build-cxxtools:: configure-cxxtools $(BUILD)/cxxtools-build-done

$(BUILD)/cxxtools-build-done:
	cd $(BUILD)/cxxtools; make install
	touch $@

$(BUILD)/cxxtools-configure-done:
	mkdir -p $(BUILD)/cxxtools
	cd $(BUILD)/cxxtools; sh $(ROOT)/cxxtools/configure --disable-shared --with-pic --prefix $(BUILD)/prefix --disable-demos --disable-unittest
	touch $@

# --- xz
configure-xz:: $(BUILD)/xz-configure-done

build-xz:: configure-xz $(BUILD)/xz-build-done

$(BUILD)/xz-build-done:
	cd $(BUILD)/xz; make install
	touch $@

$(BUILD)/xz-configure-done:
	mkdir -p $(BUILD)/xz
	cd $(BUILD)/xz; sh $(ROOT)/xz/configure --disable-shared --with-pic --prefix $(BUILD)/prefix
	touch $@

# --- tntdb
configure-tntdb:: $(BUILD)/tntdb-configure-done

build-tntdb:: configure-tntdb $(BUILD)/tntdb-build-done build-cxxtools build-xz

$(BUILD)/tntdb-build-done:
	cd $(BUILD)/tntdb; make install
	touch $@

$(BUILD)/tntdb-configure-done:
	mkdir -p $(BUILD)/tntdb
	cd $(BUILD)/tntdb; sh $(ROOT)/tntdb/configure --disable-shared --with-pic --prefix $(BUILD)/prefix --without-postgresql --without-mysql --without-sqlite --without-doxygen
	touch $@

# --- zimlib
configure-zimlib:: $(BUILD)/zimlib-configure-done

build-zimlib:: configure-zimlib $(BUILD)/zimlib-build-done

$(BUILD)/zimlib-build-done:
	cd $(BUILD)/zimlib; make install
	touch $@

$(BUILD)/zimlib-configure-done:
	mkdir -p $(BUILD)/zimlib
	cd $(BUILD)/zimlib; sh $(ROOT)/zimlib/configure --disable-shared --with-pic --prefix $(BUILD)/prefix
	touch $@

# --- zimwriter
configure-zimwriter:: $(BUILD)/zimwriter-configure-done

build-zimwriter:: configure-zimwriter $(BUILD)/zimwriter-build-done

$(BUILD)/zimwriter-build-done:
	cd $(BUILD)/zimwriter; make install
	touch $@

$(BUILD)/zimwriter-configure-done:
	mkdir -p $(BUILD)/zimwriter
	cd $(BUILD)/zimwriter; sh $(ROOT)/zimwriter/configure --disable-shared --with-pic --prefix $(BUILD)/prefix
	touch $@

=== vendor/tntdb/debian/control ===
Source: tntdb
Priority: optional
Maintainer: Tommi Maekitalo <tommi@tntnet.org>
Build-Depends: debhelper (>= 4.0.0), autotools-dev, libmysqlclient15-dev, libpq-dev, libsqlite3-dev
Standards-Version: 3.6.1
Section: libs

Package: libtntdb1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcxxtools
Recommends: libtntdb1-backend (= ${Source-Version})
Description: c++-library for database-abstraction
 Tntdb is a c++-library for easy and safe database-access. Drivers
 for databases are loaded dynamically at runtime.

Package: libtntdb1-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtntdb1 (= ${Source-Version})
Provides: libtntdb1-backend
Description: c++-library for database-abstraction
 Tntdb is a c++-library for easy and safe database-access. Drivers
 for databases are loaded dynamically at runtime.
 .
 This package contains the MySQL support

Package: libtntdb1-postgresql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtntdb1 (= ${Source-Version})
Provides: libtntdb1-backend
Description: c++-library for database-abstraction
 Tntdb is a c++-library for easy and safe database-access. Drivers
 for databases are loaded dynamically at runtime.
 .
 This package contains the PostgreSQL support

Package: libtntdb1-sqlite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtntdb1 (= ${Source-Version})
Provides: libtntdb1-backend
Description: c++-library for database-abstraction
 Tntdb is a c++-library for easy and safe database-access. Drivers
 for databases are loaded dynamically at runtime.
 .
 This package contains the SQLite support

Package: libtntdb-dev
Architecture: all
Depends: libtntdb1 (= ${Source-Version})
Description: c++-library for database-abstraction - development files
 Tntdb is a c++-library for easy and safe database-access. Drivers
 for databases are loaded dynamically at runtime.
 .
 This package includes the development-files
